Get Mining Account Hashrate
curl --request POST \
--url https://whitebit.com/api/v4/mining/hashrate \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"account": "miner123",
"from": 1640995200,
"to": 1641081600,
"interval": "1h"
}
'import requests
url = "https://whitebit.com/api/v4/mining/hashrate"
payload = {
"account": "miner123",
"from": 1640995200,
"to": 1641081600,
"interval": "1h"
}
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({account: 'miner123', from: 1640995200, to: 1641081600, interval: '1h'})
};
fetch('https://whitebit.com/api/v4/mining/hashrate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"account": "<string>",
"hashrate": [
{
"timestamp": 123,
"hashrate": "<string>",
"rejectRate": 123
}
]
}
}{
"code": 0,
"message": "Validation failed",
"errors": {
"account": [
"Account not found"
]
}
}{
"code": 422,
"message": "Incorrect timestamp"
}Account Hashrate
The endpoint returns hashrate of mining pool account.
There is no dedicated “mining not enabled” error. An account that is
administratively disabled for mining returns HTTP 200 with empty data
rather than an error.
Rate limit: 1000 requests/10 sec.
The API does not cache the response.
Get Mining Account Hashrate
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?